!set title=Etude de la structure du récit
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=Csilla Ducrocq
email=csilla.ducrocq@u-psud.fr
language=fr
computeanswer=no

ansorder=r,r,r,r,r,r,r,r,r,r,r,r,r,r
varcnt=114
prevarcnt=113
postvarcnt=0
replycnt=14
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=parure
!readproc slib/utilities/notepad Notepad,small 
tmp0=$slib_out
val7=$(tmp0)
tmp0=!nosubst Lisez la nouvelle <b>La Parure de Guy Maupassant</b>. 	Cochez les éléments se correspondant dans la structure narrative.

val8=$(tmp0)
tmp0=!nosubst 

val9=$(tmp0)
val10=
val11=
val12=no
val13=no
val14=no
val15=no
val16=yes
val17=
val18=split
val19=1
val20=aucune de ces possibilités
val21=clickfill
val22=
val23=
val24=
val25=
val26=
val27=background-color: #99FFFF; margin: 2% 5%; padding: 2%;
val28=background-color: #FFCC99; color: black; margin: 2% 5%; padding: 2%;
val29=
val30=ol li {list-style: upper-alpha; }
val31=yes
val32=inside
val33=yes
val34=1
val35=
val36=
val37=
val38=---
val39=
tmp=!nonempty items $val6

tmp0=!randitem $tmp
val40=$(tmp0)
tmp0=!recordcnt $val40

val41=$[rint($(tmp0))]
val42=1
val43=1
val44=3

!ifval $val21 iswordof case 
val45= autocomplete=off
!endif
tmp0=!replace internal - by in $val38

val38=$(tmp0)
val46=$val22,$val23,$val24

!ifval $val25 = 
val25=++>
!endif

!ifval $val34 notwordof 0 
val34=$[rint( 1)]
!endif

!ifval $val26!=yes 
val47= noreaccent
!else
val47=
!endif

!ifval $val31 issametext no 
!readproc slib/utilities/nopaste  
tmp0=$slib_out
val48= $(tmp0)
!endif

!ifval $val8 issametext 
tmp0=!getdef instruction in $val40

val8= $(tmp0)
!endif

!ifval $val9 issametext 
tmp0=!getdef instruction2 in $val40

val9= $(tmp0)
!endif

!ifval $val17 issametext 
tmp0=!getdef size in $val40

val17= $(tmp0)
!endif

!ifval $val13 issametext 
tmp0=!getdef reading_file in $val40

val13= $(tmp0)
!endif
tmp0=!record 0 of $val13

val49=$(tmp0)

!ifval $val12 issametext 
tmp0=!getdef audio_file in $val40

val12= $(tmp0)
!endif

!ifval $val12 notsametext  and  $val12 notsametext no
!readproc slib/media/audio $val1/$val12,player=$val38 
tmp0=$slib_out
val50= 	<p align="center">$(tmp0)</p>
!endif

!ifval $val14 issametext 
tmp0=!getdef image_file in $val40

val14= $(tmp0)
!endif

!ifval $val14 notsametext  and  $val14 notsametext no
tmp0=!makelist <img src=$val1/x> for x in $val14

val51= 	$(tmp0)
!endif

!ifval $val15 issametext 
tmp0=!getdef video_file in $val40

val15= $(tmp0)
!endif
!if $val15 notsametext  and  $val15 notsametext no 

!ifval http notin $val15 
val15= $val1/$val15
!endif

!ifval $val15 notsametext 
val52= <a wims_target=external href="$val15">[video] </a></p>
!endif
!endif

!ifval $val10 issametext 
tmp0=!getdef choice in $val40

val53= $(tmp0)
!else
val53=$val10
!endif
val54=<style type="text/css">	 .question {$val27}	 .reponse {$val28}	 .oefstatement{$val29}	 $val30	 </style>	 

!ifval $val36 notwordof 1 2 3 4 5 6 7 8 9 10 
val36= 1
!endif

!ifval $val21 iswordof dragfill clickfill 
val17= $val17 x 1
!endif
val43=$[rint(min($val41,$val43))]
val42=$[rint(min($val43*$val42,$val41))]

!ifval $val16 issametext yes 
tmp0=!shuffle $val41

val55= $(tmp0) 
!else
tmp1=!makelist x for x = 1 to $val41

val55=	$(tmp1)
!endif

!ifval $val20 issametext 
val20= aucune de ces possibilités
!endif
tmp0=!randrecord $val6

val56=$(tmp0)
tmp0=!embraced randitem $val56

val56=$(tmp0)
tmp0=!shuffle \cnt_qual

val57=$(tmp0)
val58=
tmp=!translate internal $	$ to ; in $val56

tmp=!row 1 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val59=$(tmp0)
tmp0=!getopt audio in $val59

val60=$(tmp0)
tmp0=!getopt image in $val59

val61=$(tmp0)
tmp0=!getopt title in $val59

val62=$(tmp0)
tmp0=!getopt intro in $val59

val63=$(tmp0)

!ifval $val60$val61$val62$val63  notsametext 
val64= 1 
!else
val64= 0
!endif
val65=

!ifval $val62 notsametext 
val65=$val65<p align="center">$val62</p>
!endif

!ifval $val63 notsametext 
val65=$val65 $val63
!endif

!ifval $val61 notsametext 
val65= $val65 <p align="center"><img src=$val1/$val61></p>
!endif
!if $val60 notsametext  

!ifval . isin $val60 or $val37= 
!readproc slib/media/audio $val1/$val60,$val39,player=$val38 
tmp0=$slib_out
val66= 	       $(tmp0)
!else
!readproc slib/lang/swac $val60,$val37,player=$val38,$val39 
tmp1=$slib_out
val66=$(tmp1)
!endif
val65=$val65 <p align="center">$(val66[1;1])</p>
!endif

!ifval $val64=1  
val67= $val65
!else
val67=
!endif

!ifval $val64=1 
tmp0=!line 2 to -1 of $val56

tmp=!trim  $(tmp0)
val56=!translate internal $	\
$ to ;; in $tmp
!endif
val68=$(val56[1;])
tmp0=!text remove 1234567890 in $val68

val69=$(tmp0)
!if $val69 issametext  
val70=$[rint($val68+1)]
tmp0=!rows2lines $(val56[$val70+1..-1;])

val71=$(tmp0)
tmp=!trim $(val56[2..$val70;])
val56=!translate internal $	\
$ to ;; in $tmp
!else
val70=$[rint($(val56[2;])+2)]
val53=$(val56[1;])
tmp0=!rows2lines $(val56[$val70+1..-1;])

val71=$(tmp0)
tmp=!trim $(val56[3..$val70;])
val56=!translate internal $	\
$ to ;; in $tmp
!endif

!ifval $val58 notwordof 1 2 
tmp0=!randint 1, 2

val58=$[rint( $(tmp0))]
!endif
val72=$(val56[;1])

!ifval $val58=1
val72=$val72,$val20
!endif

!ifval $val58=1 
val73= $val53
!else
val73=$val72
!endif

!ifval $val58=2
val72=$val53
!else
val72=$val72
!endif
tmp0=!nonempty items $val72

val72=$(tmp0)
tmp0=!itemcnt $val72

val74=$(tmp0)

!ifval $val58=1
val75=$val74-1
!else
val75=$val74
!endif
tmp0=!itemcnt $val73

val76=$(tmp0)
tmp=!trim $(val56[;2..-1])
val77=!translate internal $	\
$ to ;; in $tmp
!if $val58=1 
tmp=!trim 
val78=!translate internal $	\
$ to ;; in $tmp
!for val79 = 1 to $val76 
val80=
!for val81  = 1 to  $val75 
!if $val79 isitemof $(val77[$val81;]) 
val80=$val80, $val81
!endif
!next
tmp0=!nonempty items $val80

val80=$(tmp0)

!ifval $val80 issametext 
val80= $val74
!endif
tmp=!trim $val78	  $val80
val78=!translate internal $	\
$ to ;; in $tmp
!next
!else
val78=$val77
!endif
tmp0=!makelist r x for x = 1 to $val76

val82=$(tmp0)
oefsteps=$val82 
nextstep=!nosubst $val82 
!readproc oef/steps.proc
replytype1=checkbox
replyname1=
replygood1=$(val78[1;]);$val72
replytype2=checkbox
replyname2=
replygood2=$(val78[2;]);$val72
replytype3=checkbox
replyname3=
replygood3=$(val78[3;]);$val72
replytype4=checkbox
replyname4=
replygood4=$(val78[4;]);$val72
replytype5=checkbox
replyname5=
replygood5=$(val78[5;]);$val72
replytype6=checkbox
replyname6=
replygood6=$(val78[6;]);$val72
replytype7=checkbox
replyname7=
replygood7=$(val78[7;]);$val72
replytype8=checkbox
replyname8=
replygood8=$(val78[8;]);$val72
replytype9=checkbox
replyname9=
replygood9=$(val78[9;]);$val72
replytype10=checkbox
replyname10=
replygood10=$(val78[10;]);$val72
replytype11=checkbox
replyname11=
replygood11=$(val78[11;]);$val72
replytype12=checkbox
replyname12=
replygood12=$(val78[12;]);$val72
replytype13=checkbox
replyname13=
replygood13=$(val78[13;]);$val72
replytype14=checkbox
replyname14=
replygood14=$(val78[14;]);$val72
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()	$val54 $val8	$val67		 
!if $val71 notsametext  
$()	 <div class="question">$val71</div>	 
!endif
$()	   
!if $val49 notsametext  
$() 
!read oef/special.phtml help reading,[à lire] 
$() 
!endif
$()	   
!if $val51 notsametext  
$() 
!read oef/special.phtml help image,[à regarder] 
$() 
!endif
$()	  $val50$val52		<ol>	 
!for m_u = 1 to $val76 
$() 	<li> $(val73[$m_u]) : <ol>	  
!for m_v = 1 to $val74 
$()	 <li>	    
!read oef/embed.phtml reply \u , \v  
$()	</li>	   
!next
$()	   </ol>	  
!next
$()	 </ol>	 
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:latex
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=8,49,50,51,52,54,67,71,73,74,76
embedcnt=3
